public class CloudIdentity.Devices.DeviceUsers.ClientStates extends Object
| Modifier and Type | Class and Description |
|---|---|
class |
CloudIdentity.Devices.DeviceUsers.ClientStates.Get |
class |
CloudIdentity.Devices.DeviceUsers.ClientStates.List |
class |
CloudIdentity.Devices.DeviceUsers.ClientStates.Patch |
| Constructor and Description |
|---|
ClientStates() |
| Modifier and Type | Method and Description |
|---|---|
CloudIdentity.Devices.DeviceUsers.ClientStates.Get |
get(String name)
Gets the client state for the device user
Create a request for the method "clientStates.get".
|
CloudIdentity.Devices.DeviceUsers.ClientStates.List |
list(String parent)
Lists the client states for the given search query.
|
CloudIdentity.Devices.DeviceUsers.ClientStates.Patch |
patch(String name,
GoogleAppsCloudidentityDevicesV1ClientState content)
Updates the client state for the device user **Note**: This method is available only to customers
who have one of the following SKUs: Enterprise Standard, Enterprise Plus, Enterprise for
Education, and Cloud Identity Premium
Create a request for the method "clientStates.patch".
|
public CloudIdentity.Devices.DeviceUsers.ClientStates.Get get(String name) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the ClientState in
format: `devices/{device}/deviceUsers/{device_user}/clientStates/{partner}`, where
`device` is the unique ID assigned to the Device, `device_user` is the unique ID assigned
to the User and `partner` identifies the partner storing the data. To get the client state
for devices belonging to your own organization, the `partnerId` is in the format:
`customerId-*anystring*`. Where the `customerId` is your organization's customer ID and
`anystring` is any suffix. This suffix is used in setting up Custom Access Levels in
Context-Aware Access. You may use `my_customer` instead of the customer ID for devices
managed by your own organization. You may specify `-` in place of the `{device}`, so the
ClientState resource name can be:
`devices/-/deviceUsers/{device_user_resource}/clientStates/{partner}`.IOExceptionpublic CloudIdentity.Devices.DeviceUsers.ClientStates.List list(String parent) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.parent - Required. To list all ClientStates, set this to "devices/-/deviceUsers/-". To list all ClientStates
owned by a DeviceUser, set this to the resource name of the DeviceUser. Format:
devices/{device}/deviceUsers/{deviceUser}IOExceptionpublic CloudIdentity.Devices.DeviceUsers.ClientStates.Patch patch(String name, GoogleAppsCloudidentityDevicesV1ClientState content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Output only. [Resource name](https://cloud.google.com/apis/design/resource_names) of the ClientState
in format: `devices/{device}/deviceUsers/{device_user}/clientState/{partner}`, where
partner corresponds to the partner storing the data. For partners belonging to the
"BeyondCorp Alliance", this is the partner ID specified to you by Google. For all other
callers, this is a string of the form: `{customer}-suffix`, where `customer` is your
customer ID. The *suffix* is any string the caller specifies. This string will be
displayed verbatim in the administration console. This suffix is used in setting up Custom
Access Levels in Context-Aware Access. Your organization's customer ID can be obtained
from the URL: `GET https://www.googleapis.com/admin/directory/v1/customers/my_customer`
The `id` field in the response contains the customer ID starting with the letter 'C'. The
customer ID to be used in this API is the string after the letter 'C' (not including 'C')content - the GoogleAppsCloudidentityDevicesV1ClientStateIOExceptionCopyright © 2011–2024 Google. All rights reserved.